## adwaita-qt 0.5

=== debian/changelog ===
adwaita-qt (0.5-2) unstable; urgency=medium

  * Fix the Vcs-Git and Vcs-Browser URLs.
  * Build for Qt 4 too (closes: #845142).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 29 Nov 2016 16:50:35 +0300

adwaita-qt (0.5-1) unstable; urgency=medium

  * Initial release (closes: #836534).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Sep 2016 17:03:35 +0300
