=== debian/control ===
Source: adwaita-qt
Section: gnome
Priority: optional
Maintainer: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: cmake (>= 2.8.11), debhelper (>= 9), libqt4-dev, qtbase5-dev
Standards-Version: 3.9.8
Homepage: https://github.com/MartinBriza/adwaita-qt
Vcs-Git: https://anonscm.debian.org/git/collab-maint/adwaita-qt.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/adwaita-qt.git

Package: adwaita-qt
Architecture: any
Depends: adwaita-qt-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 port of GNOME’s Adwaita theme
 Adwaita-Qt provides a port of Adwaita theme, which is the default style
 of GNOME, to Qt 5.
 .
 To use it, start your Qt applications with “-style Adwaita” parameter.

Package: adwaita-qt4
Architecture: any
Depends: adwaita-qt-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: qt4-qtconfig
Description: Qt 4 port of GNOME’s Adwaita theme
 Adwaita-Qt provides a port of Adwaita theme, which is the default style
 of GNOME, to Qt 4.
 .
 To use it, start your Qt applications with “-style Adwaita” parameter,
 or select the “adwaita” style in qtconfig-qt4.

Package: adwaita-qt-data
Architecture: all
Depends: ${misc:Depends}
Description: Qt 5 port of GNOME’s Adwaita theme — data files
 Adwaita-Qt provides a port of Adwaita theme, which is the default style
 of GNOME, to Qt 5.
 .
 This package provides the data files for Adwaita-Qt.
