=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt5 -- -DQT_ROOT=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/
	dh_auto_configure --builddirectory=build-qt4 -- -DUSE_QT4=ON

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt5
	dh_auto_build --builddirectory=build-qt4

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt5
	dh_auto_install --builddirectory=build-qt4

override_dh_auto_clean:
	rm -rf build-qt4 build-qt5
