## adwaita-qt 1.0

=== debian/changelog ===
adwaita-qt (1.0-2) unstable; urgency=medium

  * Drop the Qt 4 version (closes: #874816, LP: #1757586).
  * Add a note about the dark version to the package description.
  * Mark adwaita-qt as Multi-Arch: same.
  * Update Vcs fields for migration to salsa.debian.org.
  * Update to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 22 Mar 2018 18:16:07 +0300

adwaita-qt (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 23 Jun 2017 14:07:04 +0300

adwaita-qt (0.99-1) experimental; urgency=medium

  * New upstream release.
  * Stop defining QT_ROOT, upstream now queries qmake for that.
  * Fix the install file for Qt 4.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Apr 2017 12:18:39 +0300

adwaita-qt (0.97-1) experimental; urgency=medium

  * New upstream release with new code base based on Breeze.
  * Mention the QT_STYLE_OVERRIDE variable in the package description.
  * Rewrite debian/copyright.
  * Remove adwaita-qt-data package, there are no more shared files.
  * Run dh_install with --fail-missing.
  * Update to debhelper compat level 10.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Jan 2017 22:49:41 +0300
