=== debian/control ===
Source: adwaita-qt
Section: gnome
Priority: optional
Maintainer: Dmitry Shachnev <mitya57@debian.org>
Build-Depends: cmake (>= 2.8.11), debhelper (>= 11), qtbase5-dev
Standards-Version: 4.1.3
Homepage: https://github.com/MartinBriza/adwaita-qt
Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt

Package: adwaita-qt
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 port of GNOME’s Adwaita theme
 Adwaita-Qt provides a port of Adwaita theme, which is the default style
 of GNOME, to Qt 5.
 .
 To use it, start your Qt applications with “-style Adwaita” parameter,
 or export QT_STYLE_OVERRIDE=Adwaita environment variable.
 For the dark version, use Adwaita-Dark instead of Adwaita.
