=== debian/watch ===
version=3
opts=filenamemangle=s/.*archive\/(\d.*).tar.gz/adwaita-qt_$1.orig.tar.gz/ \
 https://github.com/MartinBriza/adwaita-qt/tags .*/(\d.*)\.tar\.gz
