## adwaita-qt 1.1.0

=== debian/changelog ===
adwaita-qt (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update GitHub links to point to the new repository location.
  * Update debian/copyright.
  * Use debhelper compat level 12 and debhelper-compat virtual package.
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Jul 2019 14:31:52 +0300
