=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: gnome
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: cmake (>= 2.8.11), debhelper (>= 11), qtbase5-dev
-Standards-Version: 4.1.3
-Homepage: https://github.com/MartinBriza/adwaita-qt
+Build-Depends: cmake (>= 2.8.11), debhelper-compat (= 12), qtbase5-dev
+Standards-Version: 4.3.0
+Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
 Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt
