=== debian/changelog ===
adwaita-qt (1.1.1-2) unstable; urgency=medium

  * Specify XCB types more carefully to fix crashes on i386.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Mar 2020 12:35:22 +0300

adwaita-qt (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Nov 2019 12:53:13 +0300
