=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: cmake (>= 2.8.11), debhelper-compat (= 12), qtbase5-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
 Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt
