## adwaita-qt 1.1.4

=== debian/changelog ===
adwaita-qt (1.1.4-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Jun 2020 16:31:36 +0300

adwaita-qt (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix_crash_on_i386.diff, applied upstream.
  * Update to debhelper compat level 13.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 May 2020 16:16:12 +0300
