=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: cmake (>= 2.8.11), debhelper-compat (= 12), qtbase5-dev
+Build-Depends: cmake (>= 2.8.11), debhelper-compat (= 13), qtbase5-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
