=== debian/changelog ===
adwaita-qt (1.2.0-2) unstable; urgency=medium

  * Update debian/libadwaitaqtpriv1.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Dec 2020 15:45:47 +0300

adwaita-qt (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libadwaitaqtpriv1.symbols from buildds’ logs.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Dec 2020 15:57:21 +0300

adwaita-qt (1.1.91-1) experimental; urgency=medium

  * New upstream pre-release.
  * Drop private_library_version.diff, applied upstream.
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 09 Nov 2020 20:12:45 +0300

adwaita-qt (1.1.90-1) experimental; urgency=medium

  * New upstream pre-release.
  * Update build-dependencies:
    - Bump cmake required version to 3.0.
    - Bump qtbase5-dev required version to 5.12.
    - Add libx11-xcb-dev, libxcb1-dev and libqt5x11extras5-dev.
  * Add a patch to add a SOVERSION to the adwaitaqtpriv library.
  * Add new packages:
    - libadwaitaqt1 (public library);
    - libadwaitaqtpriv1 (private library);
    - libadwaitaqt-dev (development files).
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 23 Sep 2020 20:32:36 +0300
