=== debian/control ===
--- 
+++ 
@@ -2,8 +2,13 @@
 Section: gnome
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: cmake (>= 2.8.11), debhelper-compat (= 13), qtbase5-dev
-Standards-Version: 4.5.0
+Build-Depends: cmake (>= 3.0),
+               debhelper-compat (= 13),
+               libqt5x11extras5-dev,
+               libx11-xcb-dev,
+               libxcb1-dev (>= 1.10),
+               qtbase5-dev (>= 5.12.0)
+Standards-Version: 4.5.1
 Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
 Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt
@@ -19,3 +24,38 @@
  To use it, start your Qt applications with “-style Adwaita” parameter,
  or export QT_STYLE_OVERRIDE=Adwaita environment variable.
  For the dark version, use Adwaita-Dark instead of Adwaita.
+
+Package: libadwaitaqt1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 port of GNOME’s Adwaita theme — public library
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 5.
+ .
+ This package contains the public library of Adwaita-Qt that provides
+ Adwaita-specific colors.
+
+Package: libadwaitaqtpriv1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 port of GNOME’s Adwaita theme — private library
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 5.
+ .
+ This package contains the private library of Adwaita-Qt.
+
+Package: libadwaitaqt-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libadwaitaqt1 (= ${binary:Version}), ${misc:Depends}
+Description: Qt 5 port of GNOME’s Adwaita theme — development files
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 5.
+ .
+ This package contains the development files for building applications with
+ the public library of Adwaita-Qt.
