## adwaita-qt 1.2.1

=== debian/changelog ===
adwaita-qt (1.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Apr 2021 20:32:54 +0300
