## adwaita-qt 1.4.0

=== debian/changelog ===
adwaita-qt (1.4.0-2) unstable; urgency=medium

  * Update debian/libadwaitaqt1.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Aug 2021 19:20:53 +0300

adwaita-qt (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libadwaitaqt1.symbols from the current build logs.
  * Bump required cmake version to 3.18.
  * Build-Depend on sassc.
  * Update debian/copyright.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Aug 2021 13:58:33 +0300

adwaita-qt (1.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libadwaitaqt1.symbols from buildds’ logs.
  * Drop bump_version.diff, no longer needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Jun 2021 20:46:19 +0300

adwaita-qt (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Backport upstream commit to fix project version.
  * Install new adwaitarenderer.h header file.
  * Update symbols files from the current build logs.
  * Declare Rules-Requires-Root: no.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 May 2021 16:02:24 +0300
