=== debian/changelog ===
adwaita-qt (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Nov 2021 21:04:19 +0300
