=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: gnome
 Priority: optional
 Maintainer: Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: cmake (>= 3.0),
+Build-Depends: cmake (>= 3.18),
                debhelper-compat (= 13),
                libqt5x11extras5-dev,
                libx11-xcb-dev,
                libxcb1-dev (>= 1.10),
-               qtbase5-dev (>= 5.12.0)
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.12.0),
+               sassc
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
 Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt
