## adwaita-qt 1.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.17)
 
 set(ADWAITAQT_VERSION_MAJOR 1)
-set(ADWAITAQT_VERSION "1.4.1")
+set(ADWAITAQT_VERSION "1.4.2")
 
 option(USE_QT6 "Use Qt6 instead of Qt5" OFF)
 
@@ -30,7 +30,6 @@
     find_package(QT NAMES Qt5 COMPONENTS Core DBus Gui Widgets REQUIRED)
 endif()
 
-
 find_package(Qt${QT_VERSION_MAJOR} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
     DBus
@@ -41,19 +40,19 @@
 if (NOT APPLE AND NOT WIN32 AND NOT USE_QT6)
     find_package(XCB 1.10 COMPONENTS XCB)
 
-    set(ADWAITA_HAVE_X11 ${XCB_FOUND})
-
-    find_package(Qt${QT_VERSION_MAJOR} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
-        X11Extras
-    )
+    find_package(Qt${QT_VERSION_MAJOR}X11Extras ${QT_MIN_VERSION})
+    set(ADWAITA_HAVE_X11 ${XCB_FOUND} AND ${Qt5X11Extras_FOUND})
 endif()
 
-if (NOT USE_QT6)
-    get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE} IMPORTED_LOCATION)
-    if (NOT QT_PLUGINS_DIR)
+if (NOT QT_PLUGINS_DIR)
+    if (NOT USE_QT6)
+        get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
+                            IMPORTED_LOCATION)
         execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                         OUTPUT_VARIABLE QT_PLUGINS_DIR
                         ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
+    else()
+        set(QT_PLUGINS_DIR ${QT6_INSTALL_PLUGINS})
     endif()
 endif()
