=== debian/changelog ===
adwaita-qt (1.4.2-3) unstable; urgency=medium

  [ YOKOTA Hiroshi ]
  * Make libadwaitaqt6-dev depend on the correct library.

  [ Dmitry Shachnev ]
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Jan 2023 22:43:03 +0400

adwaita-qt (1.4.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libxcb1-dev (>= 1.10).

  [ Dmitry Shachnev ]
  * Update symbols files for Qt 6.4 (closes: #1027589).
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 Jan 2023 21:39:32 +0300

adwaita-qt (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 20 Sep 2022 19:11:30 +0300

adwaita-qt (1.4.1-4) unstable; urgency=medium

  * Update symbols files from buildds’ and current build logs.
  * Mark three symbols as optional to fix build with -O3 (closes: #1017803).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Aug 2022 09:18:40 +0300

adwaita-qt (1.4.1-3) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 21 Apr 2022 13:46:00 +0300

adwaita-qt (1.4.1-2) experimental; urgency=medium

  * Add packages for Qt 6.
  * Build with pkgkde_symbolshelper.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Apr 2022 17:30:01 +0300
