=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
                debhelper-compat (= 13),
                libqt5x11extras5-dev,
                libx11-xcb-dev,
-               libxcb1-dev (>= 1.10),
+               libxcb1-dev,
+               pkg-kde-tools,
+               qt6-base-dev,
                qtbase5-dev (>= 5.12.0),
                sassc
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/FedoraQt/adwaita-qt
 Vcs-Git: https://salsa.debian.org/debian/adwaita-qt.git
 Vcs-Browser: https://salsa.debian.org/debian/adwaita-qt
@@ -61,3 +63,50 @@
  .
  This package contains the development files for building applications with
  the public library of Adwaita-Qt.
+
+Package: adwaita-qt6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 port of GNOME’s Adwaita theme
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 6.
+ .
+ To use it, start your Qt applications with “-style Adwaita” parameter,
+ or export QT_STYLE_OVERRIDE=Adwaita environment variable.
+ For the dark version, use Adwaita-Dark instead of Adwaita.
+
+Package: libadwaitaqt6-1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 port of GNOME’s Adwaita theme — public library
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 6.
+ .
+ This package contains the public library of Adwaita-Qt that provides
+ Adwaita-specific colors.
+
+Package: libadwaitaqt6priv1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 6 port of GNOME’s Adwaita theme — private library
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 6.
+ .
+ This package contains the private library of Adwaita-Qt.
+
+Package: libadwaitaqt6-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libadwaitaqt6-1 (= ${binary:Version}), ${misc:Depends}
+Description: Qt 6 port of GNOME’s Adwaita theme — development files
+ Adwaita-Qt provides a port of Adwaita theme, which is the default style
+ of GNOME, to Qt 6.
+ .
+ This package contains the development files for building applications with
+ the public library of Adwaita-Qt.
