=== debian/watch ===
version=4
https://github.com/FedoraQt/adwaita-qt/tags /FedoraQt/adwaita-qt/archive/refs/tags/@ANY_VERSION@\.tar\.gz
